• Christian Kandeler's avatar
    Do not use deprecated Qt functionality. · 1d5091e4
    Christian Kandeler authored
    Replace all* remaining deprecated Qt 4 functions with
    their Qt 5 counterparts. This means we no longer need to
    define the QT_DISABLE_DEPRECATED_BEFORE macro.
    This patch is relatively small because most source-compatible
    changes of this kind have been done before.
    
    * The one exception is the QmlDesigner, which uses QWeakPointer
    in a deprecated way all over the place.
    
    Change-Id: Id4b839c6685f3b5bdf2b89137f95231758ec53c7
    Reviewed-by: default avatarEike Ziller <eike.ziller@digia.com>
    Reviewed-by: default avatarhjk <hjk121@nokiamail.com>
    1d5091e4
navigatorview.cpp 16.9 KB